<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Name: Insurance
Description: Template voor de weergave van verzekeringsgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205">
   <title>Insurance</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]
Item: (Insurance)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]"
         id="d20e13946-false-d47635e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@typeCode) = ('HLD')">(Insurance): de waarde van typeCode MOET 'HLD' zijn. Gevonden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(Insurance): de waarde van contextControlCode MOET 'OP' zijn. Gevonden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']) &gt;= 1">(Insurance): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']) &lt;= 1">(Insurance): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:associatedEntity[@classCode = 'POLHOLD']) &lt;= 1">(Insurance): element hl7:associatedEntity[@classCode = 'POLHOLD'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']"
         id="d20e13955-false-d47667e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Insurance): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.55.10.9006')">(Insurance): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.9006' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']"
         id="d20e13960-false-d47681e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@classCode) = ('POLHOLD')">(Insurance): de waarde van classCode MOET 'POLHOLD' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:id) &lt;= 1">(Insurance): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:scopingOrganization[hl7:id[@root = '2.16.840.1.113883.2.4.6.4']]) &lt;= 1">(Insurance): element hl7:scopingOrganization[hl7:id[@root = '2.16.840.1.113883.2.4.6.4']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']/hl7:id
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']/hl7:id"
         id="d20e13964-false-d47706e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Insurance): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']/hl7:scopingOrganization[hl7:id[@root = '2.16.840.1.113883.2.4.6.4']]
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']/hl7:scopingOrganization[hl7:id[@root = '2.16.840.1.113883.2.4.6.4']]"
         id="d20e13980-false-d47717e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:id[@root = '2.16.840.1.113883.2.4.6.4']) &gt;= 1">(Insurance): element hl7:id[@root = '2.16.840.1.113883.2.4.6.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:id[@root = '2.16.840.1.113883.2.4.6.4']) &lt;= 1">(Insurance): element hl7:id[@root = '2.16.840.1.113883.2.4.6.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:name) &gt;= 1">(Insurance): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:name) &lt;= 1">(Insurance): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']/hl7:scopingOrganization[hl7:id[@root = '2.16.840.1.113883.2.4.6.4']]/hl7:id[@root = '2.16.840.1.113883.2.4.6.4']
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']/hl7:scopingOrganization[hl7:id[@root = '2.16.840.1.113883.2.4.6.4']]/hl7:id[@root = '2.16.840.1.113883.2.4.6.4']"
         id="d20e13988-false-d47743e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Insurance): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.4')">(Insurance): de waarde van root MOET '2.16.840.1.113883.2.4.6.4' zijn. Gevonden: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="@extension">(Insurance): attribute @extension MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="not(@extension) or string-length(@extension)&gt;0">(Insurance): attribuut @extension MOET datatype 'st' hebben  - '<value-of select="@extension"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']/hl7:scopingOrganization[hl7:id[@root = '2.16.840.1.113883.2.4.6.4']]/hl7:name
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity[@classCode = 'POLHOLD']/hl7:scopingOrganization[hl7:id[@root = '2.16.840.1.113883.2.4.6.4']]/hl7:name"
         id="d20e14003-false-d47763e0">
      <extends rule="ON"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20190418T175310/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Insurance): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
